function [data,varargout]=read_txt(filename,varargin)
%function data=read_txt(filename,ifheader)
%
%Reads compositions from a file in which components are separated by tabs.
%If a second input argument is added and it is 1 (one) it means that the file
%has a header, which will be skipped. 
%
%Order of components (in columns):
%serie 
%(4 columns in total)
%
%The data is ordered as the input file, with samples in rows

[fid,msg]=fopen(filename,'r');

if nargout>1
   varargout{1}=fid;
end

if nargout>2
   varargout{2}=msg;
end

%if specified by adding input argument to the function, read header line first
if nargin>1 && (varargin{1}==1 || varargin{1}=='yes') && fid>0
   tmp=fgets(fid);
elseif nargin>1 && varargin{1}>1 && fid>0
   for i=1:varargin{1}
      tmp=fgets(fid);
   end
end
   
%now reads the formatted data (samples made up of 4 components in each row)
if fid>0
   data=fscanf(fid,'%f',[4 Inf]);
   data=data';
end
%------------------------------
%and close the file
if fid>0
   fclose(fid);
end

end
